GENERIC_SETLEASE(9)

NAME
generic_setlease - sets a lease on an open file

SYNOPSIS

int generic_setlease(struct file * filp, long arg, struct file_lock ** flp, void ** priv);

ARGUMENTS

filp
    file pointer

arg
    type of lease to obtain

flp
    input - file_lock to use, output - file_lock inserted

priv
    private data for lm_setup (may be NULL if lm_setup doesn't require it)

DESCRIPTION

The (input) flp->fl_lmops->lm_break function is required by break_lease.

COPYRIGHT